Bitcore create mynode Error: Could not locate the bindings file

Hi,

I am getting the following error when I run bitcore create mynode

sammy@lamp-explorer:~$ bitcore create mynode
/usr/local/lib/node_modules/bitcore/node_modules/bindings/bindings.js:91
throw err
^

Error: Could not locate the bindings file. Tried:
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/Debug/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/Release/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/out/Debug/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/Debug/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/out/Release/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/Release/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/default/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/compiled/4.2.6/linux/x64/zmq.node
at bindings (/usr/local/lib/node_modules/bitcore/node_modules/bindings/bindings.js:88:9)
at Object. (/usr/local/lib/node_modules/bitcore/node_modules/zmq/lib/index.js:6:30)
at Module._compile (module.js:410:26)
at Object.Module._extensions…js (module.js:417:10)
at Module.load (module.js:344:32)
at Function.Module._load (module.js:301:12)
at Module.require (module.js:354:17)
at require (internal/module.js:12:17)
at Object. (/usr/local/lib/node_modules/bitcore/node_modules/zmq/index.js:2:18)
at Module._compile (module.js:410:26)
sammy@lamp-explorer:~$ bitcore create mynode --testnet
/usr/local/lib/node_modules/bitcore/node_modules/bindings/bindings.js:91
throw err
^

Error: Could not locate the bindings file. Tried:
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/Debug/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/Release/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/out/Debug/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/Debug/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/out/Release/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/Release/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/build/default/zmq.node
→ /usr/local/lib/node_modules/bitcore/node_modules/zmq/compiled/4.2.6/linux/x64/zmq.node
at bindings (/usr/local/lib/node_modules/bitcore/node_modules/bindings/bindings.js:88:9)
at Object. (/usr/local/lib/node_modules/bitcore/node_modules/zmq/lib/index.js:6:30)
at Module._compile (module.js:410:26)
at Object.Module._extensions…js (module.js:417:10)
at Module.load (module.js:344:32)
at Function.Module._load (module.js:301:12)
at Module.require (module.js:354:17)
at require (internal/module.js:12:17)
at Object. (/usr/local/lib/node_modules/bitcore/node_modules/zmq/index.js:2:18)
at Module._compile (module.js:410:26)

Not sure how to move past this step.
Using Ubuntu 16.04
Thanks.

What Node version are you using?
You should use Node4. So try switching to it with nvm use 4 (you might need to install nvm) and try again

Hi I am getting same error on Ubunutu 16.04 with node version 4.7.3

But my testnet node is created.

And I am trying to start bticored process, but getting binding error.

/home/ubuntu/node_modules/bindings/bindings.js:83

Maybe it’s a silly question, but… did you install ZMQ properly?
If I remember correctly it is not sufficient to install the npm package. You have to install it as a normal software before (http://zeromq.org/intro:get-the-software)